Bug 846530 - beaker developer guide docs
beaker developer guide docs
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.4
: ---
Assigned To: Raymond Mancy
Doc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 00:19 EDT by Raymond Mancy
Modified: 2015-05-03 22:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 00:02:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-08-08 00:19:05 EDT
To make it easier for potential contributers, a developer's guide is in order.

We have some good isntructions for the fundamentals (i.e how to get access to source code and provide patches) on beaker-project.org. However, more in depth analysis of our source code would be beneficial.
Comment 1 Dan Callaghan 2012-08-08 23:50:12 EDT
Maybe a good first step would be to write a detailed description of all the pieces of Beaker and how they fit together. This needn't be just for developers though, it's important for admins and interesting for users as well. Maybe then all you would need to do for developers is point out how the source code maps to the various pieces of Beaker.

We currently have these two related but completely separate sections:

http://beaker-project.org/guide/Introduction-Beaker_Overview.html
http://beaker-project.org/guide/Administration-Beaker_Architecture.html

They look like they could both do with expanding and updating.
Comment 2 Raymond Mancy 2013-04-12 00:02:22 EDT
This has been released. http://beaker-project.org/dev-guide.html

Note You need to log in before you can comment on or make changes to this bug.